<?php
// Author: Kenneth C.K. Leung
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: networkerHandler.php,v 1.4 2000/11/21 05:30:22 pbaltz Exp $

include("ServerScriptHelper.php");
include("User.php");
include("Meta.php");

$serverScriptHelper = new ServerScriptHelper();
$product = $serverScriptHelper->getProductCode();
$isMonterey = ereg("35[0-9][0-9]R", $product);

if ( $isMonterey && ! user_authok( $PHP_AUTH_USER, "admin")) {
	$serverScriptHelper->destructor();
	header("location: /.cobalt/error/forbidden.html");
	return;
}

$cceClient = $serverScriptHelper->getCceClient();

$cceClient->setObject("System", 
			array(
				"enable" => $enableServer,
				"lgNetworkerHost" => $lgNetworkerHostField,
				"servicePortLow" => $low_servPorts,
				"servicePortHigh" => $high_servPorts,
				"connPortLow" => $low_connPorts,
				"connPortHigh" => $high_connPorts
			), 
			"Networker"
			);

$errors = $cceClient->errors();


print($serverScriptHelper->toHandlerHtml("/legato/networker/networker.php", $errors, "legato-networker"));

$serverScriptHelper->destructor();
?>





